Description

Currently these modules are in sextante, not in the plugin:

r.flow

r.gwflow

r.horizon

r.info

r.mfilter.fp

r.profile

r.quantile

r.rescale.eq

r.ros, r.spreadpath, r.spread (useless? could be removed, see Markus N comments)

r.sim.sediment

r.sim.water

rr.sunmask

r.sun

r.terraflow.short

r.terraflow

r.topmodel

The following are in the plugin, not in sextante:

r.blend

r.category

r.colors.rast

r.colors.rules

r.colors.stddev

r.colors.table

r.lake.seed

r.lake.xy

r.mapcalc (the graphic calculator)

r.mask

r.null.null

r.null.to

r.null.val

r.reclass.area.greater

r.reclass.area.lesser

r.reclass.file

r.series

r.slope

r.support

r.support.stats
r.surf.fractal

r.texture.bis

r.to.null

r.what

Please help us defining which ones should be added.

The following have a different arrangement:

r.walk: split in r.walk.coord and r.walk.vect (plugin)

rr.sunmask (wrong name?): split in r.sunmask.date.time and r.sunmask.position

r.cost: split in r.cost.coord, r.cost.rast and r.cost.vect

r.contour: split in r.contour and r.contour2

To be checked if it's OK.

History

#1 - 2012-06-04 06:44 AM - Paolo Cavallini

r.slope added in r220

#2 - 2012-11-05 10:58 PM - Paolo Cavallini

- Category set to 59

#3 - 2013-10-15 08:39 AM - Filipe Dias

Perhaps it would be better to open individual tickets, stating which (if any) changes should be made to each individual algorithm?

#4 - 2013-10-15 08:42 AM - Giovanni Manghi

leave this open, I plan to add the missing tools, if possible.

In general I'm not in favor of having just the options available in the grass plugins, because sometimes are missing important ones.

We should add the tools with all the options available, and then if necessary make also simplified versions with less parameters. It is the approach I used to

fix recently a couple of modules.

#5 - 2014-10-04 11:52 AM - Giovanni Manghi

- Category deleted (59)

- Project changed from 78 to QGIS Application

#6 - 2014-10-04 11:53 AM - Giovanni Manghi

- Category set to Processing/GRASS

#7 - 2014-10-04 11:53 AM - Giovanni Manghi

- Assignee set to Victor Olaya

#8 - 2016-02-13 03:56 AM - Médéric RIBREUX
Hello, bug triage...

as of today, only the following algorithms are not implemented into Processing:

    -  r.blend

    -  r.category

    -  r.colors.rast (r.colors)

    -  r.colors.rules (r.colors)

    -  r.colors.stddev

    -  r.colors.table (r.colors)

    -  r.cost.coord (r.cost)

    -  r.cost.rast (r.cost)

    -  r.cost.vect (r.cost)

    -  r.mapcalc (but covered in #6894)

    -  r.mask

    -  r.sunmask.datetime (covered in #14263)

    -  r.sunmask.position (covered in #14263)

    -  r.support

    -  r.support.stats

    -  r.surf.fractal

    -  r.texture.bis (r.texture)

    -  r.walk.coord (r.walk)

    -  r.walk.vect (r.walk)

    -  r.what

The following algorithms are already implemented with a different name:

    -  r.contour -> r.contour.step

    -  r.contour2 -> r.contour.level

    -  r.lake.seed -> r.lake.layer

    -  r.lake.xy -> r.lake.coords

    -  r.null.null -> r.null

    -  r.null.to -> r.null

    -  r.null.val -> r.null

    -  r.reclass.file -> r.reclass

For colors, the main problem is that I am not sure that we can make a GeoTiff with a color map that can be interpreted by QGIS.

This is the same for r.support (for metadata).

#9 - 2016-03-05 07:51 AM - Médéric RIBREUX

- Status changed from Open to In Progress

Hello,

there is a PR for this !

It should implement everything that is implementable for GRASS7 r. modules...

#10 - 2016-03-28 10:29 AM - Alexander Bruy

- Resolution set to fixed/implemented

- Status changed from In Progress to Closed
https://github.com/qgis/QGIS/pull/2865


Pull-request was merged
